Provenance for this README
--------------------------

* File name: README.MD
* Authors: Yifan Wang
* Other contributors: Gregor Belušič, Ido Pen, Leo W. Beukeboom, Bregje Wertheim, Doekele G. Stavenga, Roelof A. Hut
* Date created: 2022-12-31

Dataset Version and Release History
-----------------------------------

* Current Version:
  * Number: 1.0.0
  * Date: 2022-12-31
  * Persistent identifier: DOI: org/10.5061/dryad.bk3j9kdgk
  * Summary of changes: n/a

Dataset Attribution and Usage
-----------------------------

* Dataset Title: Data for the article "Circadian rhythm entrainment of the jewel wasp, Nasonia vitripennis, by antagonistic interactions of multiple spectral inputs"

* Persistent identifier: DOI: org/10.5061/dryad.bk3j9kdgk

* Dataset contributors: Yifan Wang, Gregor Belušič, Ido Pen, Leo W. Beukeboom, Bregje Wertheim, Doekele G. Stavenga, Roelof A. Hut

* Dataset citation:
  > Wang, Y, Belušič G, Pen, I, Beukeboom, LW, Wertheim, B, Stavenga, D, Hut, RA. (2022), Circadian rhythm entrainment of the jewel wasp, Nasonia vitripennis, by antagonistic interactions of multiple spectral inputs. Dryad Digital Respository. (doi.org/10.5061/dryad.bk3j9kdgk).

Contact Information
-------------------
  * Name: Yifan Wang
  * Affiliations: Evolutionary genetics group, Groningen Institute for Evolutionary Life Sciences, University of Groningen
  * ORCID ID: https://orcid.org/0000-0002-6541-7435
  * Email: yifan.wang@rug.nl
  * Alternate Email: y.wang01@umcg.nl
  * Address: e-mail preferred

* Alternative Contact: postdoctoral PI
  * Name: Bregje Wertheim
  * Affiliations: Evolutionary genetics group, Groningen Institute for Evolutionary Life Sciences, University of Groningen
  * ORCID ID: https://orcid.org/0000-0001-8555-1925
  * Email: b.wertheim@rug.nl
  * Address: Nijenborgh 7, 9747 AG Groningen, Room 5172.0674

Detailed Information of the Dataset
-----------------------------------

* Description of the dataset and the project:
  This dataset contains processed behavioural experiments data and electrophysiology recordings of Nasonia vitripennis. 

  The aim of this experiment was to identify the circadian photoreceptors in Nasonia that are involved in the regulation of circadian phase shift behaviour. 

  Nasonia vitripennis was first entrained under different photoperiods to find the best photoperiod for entrainment. 
  We then conducted a phase response curve experiment to find the optimal time for triggering the maximal phase shift response.
  For circadian action spectrum, Nasonia vitripennis was then entrained under 14:10 LD cycle for 7 days and received different light conditions on day 8 at ZT18 for 6 hours. We tested in total 14 different wavelengths and 4 different light intensities per wavelength.
  We also used electrophysiology recordings to measure and identify the visual photopigments in the compound eyes and ocelli of Nasonia.
  Based on our experiments, we were able to identify four photoreceptors and three of these photoreceptors are involved in circadian photoreception.

  Methods of data collection/generation: see manuscript for more details

Data and File Overview
----------------------

Summary Metrics:
  
* File count: 8
* Total file size: 67 KB
* File formats: .csv, .xlsx, .R, .m

Naming Conventions:

* File names include the experiment performed and the figure that data is used for in the manuscript

Table of contents:

- AsymCx_different_photoperiod_Fig1.csv
- AsymCx_1410LD_PRC_Fig1.csv 
- AsymCx_PRC_mean_data_Fig1.csv 
- AsymCx_action_spectrum_raw_data_Fig2_3.xlsx 
- Electrophysiology_measurement_Fig4_5.xlsx
- action spectrum manuscript R script.R 
- gam3dplot.m 

File details
------------

Details for AsymCx_different_photoperiod_Fig1.csv

* Description: this file contains data needed for Fig. 1a, the phase shift responses under different photoperiods

* Format: .csv

* Size: 5KB

* Dimensions: 105 rows x 6 columns

* Variables:
  * wavelength (nm): light information that was used for the experiment
  * Start Date: the start date of the experiment
  * Photoperiod: the L:D cycle the animal was entrained under
  * Lightperiod: the length of the light period of the L:D cycle
  * phaseshift: phase shift measuered for that wasp

* Missing data codes: there is no missing data in this file

* Other informations: this file was created by summarizing the phase shift results analyzed by ChronoShop, the original data was from DAM system recording (.txt files).
---

Details for AsymCx_1410LD_PRC_Fig1.csv 

* Description: this file contains data needed for Fig. 1b, the phase shift responses from a phase response curve experiment

* Format: .csv

* Size: 5KB

* Dimensions: 153 rows x 5 columns

* Variables:
  * wavelength (nm): light information that was used for the experiment
  * Start Date: the start date of the experiment
  * Light inpulse time: the start of the light inpulse time (ZT time)
  * Light inpulse duration (h): the length of the light inpulse
  * Phase Shift (h): phase shift measuered for that wasp

* Missing data codes: there is no missing data in this file

* Other informations: this file was created by summarizing the phase shift results analyzed by ChronoShop, the original data was from DAM system recording (.txt files).
---

Details for AsymCx_PRC_mean_data_Fig1.csv

* Description: this file contains processed data for Fig. 1b, the circular average of the phase shift responses under each condition

* Format: .csv

* Size: 2KB

* Dimensions: 14 rows x 9 columns

* Variables:
  * Lightinpulsetime: the start of the light inpulse time (ZT time)
  * meansin: the average sin(angle) calculated
  * meancos: the average cos(angle) calculated
  * number: the number of wasps under that condition
  * meantan: the average tan(angle) calculated
  * meanangle: the average degree calculated
  * meanhour: the circular average of the phase shift in hours
  * cirSD: the circular standard deviation of the phase shift

* Missing data codes: there is no missing data in this file

* Other informations: this file was created by calculating circular averages based on AsymCx_1410LD_PRC_Fig1.csv.
---

Details for AsymCx_action_spectrum_raw_data_Fig2_3.xlsx 

* Description: this file contains processed data for Fig. 2 and 3, the phase shift responses from the action spectrum experiment

* Format: .xlsx

* Size: 30KB

* Dimensions: 1175 rows x 4 columns

* Variables:
  * wavelength: the wavelength of light used in the experiment
  * lightintensity: the light intensity used in the experiment
  * phaseshift: the phase shift responses in hours under the light condition
  * weight: the number of wasps measured per condition

* Missing data codes: there is no missing data in this file

* Other informations: this file was created by summarizing the phase shift results analyzed by ChronoShop, the original data was from DAM system recording (.txt files).
---

Details for Electrophysiology_measurement_Fig4_5.xlsx

* Description: this file contains data from the electrophysiology measurements of the compound eyes and ocelli of Nasonia

* Format: .xlsx

* Size: 34KB

* Dimensions: 5 sheets

* Sheets 1 is the electrophysiology results from the ocelli of Nasonia where sheets 2 & 3 contains the calculated results

* Variables:
  * wl(nm): the wavelength of light for the experiment
  * phasic: the measured phasic response in Nasonia 
  * tonic: the measured tonic response in Nasonia 
  * plateau: the plateau response in Nasonia

* Sheets 4 is the single cell measurments from the compound eye of Nasonia

* Variables:
  * wavelength: the wavelength of light for the experiment
  * Cell 1: one single cell measurement
  * Cell 2: one single cell measurement
  * Cell 3: one single cell measurement
  * template fitted: the results of fitted rhodopsin template (details see the manuscript)

* Sheets 5 is the ERG measurments from the compound eye of Nasonia (details see the manuscript)

* Variables:
  * wavelength: the wavelength of light for the experiment
  * Dark adapted: ERG measurements in the dark
  * UV adapted: ERG measurements under UV light
  * Green adapted: ERG measurements under green light
  * Blue adapted: ERG measurements under blue light

* Missing data codes: there is no missing data in this file, the empty rows without data are filled in with n/a.
---

Details for action spectrum manuscript R script.R 

* Description: this file contains R script used for producing all the figures for this manuscript as well as the statistical analysis (see file for further annotations)

* Format: .R

* Size: 17KB
---

Details for gam3dplot.m

* Description: this file contains MatLab script used for producing 3D plot in Fig. 3a, raw action spectrum data and gam model ouput data from R script can be used to reproduce this figure (see file for further annotations)

* Format: .m

* Size: 1KB
---

Sharing/access Information
--------------------------

This dataset has not yet been deposited anywhere else.

------------------------------------------------------
END OF THE README